=== debian/changelog ===
why3 (1.4.0-3) unstable; urgency=medium

  * Update Recommends and test-dependencies of why3: cvc4 up to 1.8, z3 up
    to 4.8.10
  * Build-dependency on ocamlgraph and coq: add version constraints
    according to upstream opam file
  * Use a debian/control.in to fill in automatically the native architectures
    on which coq is available
  * Update why3 manpage to document the new syntax of "why3 config"
  * Add debian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Sat, 11 Dec 2021 11:37:13 +0100

why3 (1.4.0-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtests

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Nov 2021 08:49:42 +0100

why3 (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Backport Coq 8.14 support from upstream git
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Nov 2021 14:26:23 +0100
