=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk
OCAML_NATIVE_ARCHS := $(subst lpia,,$(OCAML_NATIVE_ARCHS))

BUILDDIR=debian/tmp

HAVE_COQVARS ?= $(if $(wildcard /usr/share/coq/coqvars.mk),yes,no)

ifeq ($(HAVE_COQVARS),yes)
  include /usr/share/coq/coqvars.mk
endif

%:
	dh $@ --with ocaml,tex

# Should never be called automatically.
.PHONY: debian/control
debian/control:
	sed -e 's/@OCamlNativeArchs@/$(OCAML_NATIVE_ARCHS)/g' debian/control.in > $@

override_dh_auto_configure:
	autoconf
	dh_auto_configure -- \
		--disable-emacs-compilation \
		--libdir=/usr/lib/ocaml

override_dh_auto_build-arch:
	$(MAKE) all byte

override_dh_auto_build-indep:
	$(MAKE) doc
	cd doc/html; \
	for f in *.html; do \
	  sed -e "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9.]\+/latest.js|/usr/share/javascript/mathjax/MathJax.js|" $$f > $$f.out; \
	  mv $$f.out $$f; \
	done

override_dh_auto_install:
	# do nothing

override_dh_install-arch: build-arch
	$(MAKE) install install-lib DESTDIR=$(CURDIR)/$(BUILDDIR)
	dh_install -a -XLICENSE
ifeq ($(HAVE_COQVARS),yes)
	echo 'F:CoqABI=$(COQ_ABI)' >> debian/why3-coq.substvars
endif

override_dh_install-indep:
	# do nothing

override_dh_installexamples:
	dh_installexamples
	if [ -d debian/why3-examples/usr/share/doc/why3-examples/examples ]; \
	then \
	  find debian/why3-examples/usr/share/doc/why3-examples/examples \
	    -name why3shapes.gz \
	    -exec sh -c 'if [ $$(zcat {} | wc -c) -eq 0 ]; then \rm {}; fi' \;;\
	fi

override_dh_compress:
	dh_compress -Xmanual.pdf

ifneq ($(wildcard debian/why3/usr/lib/ocaml/why3/commands/why3ide.cmxs),)
  WHY3IDE_NODEFINED_MAP := --nodefined-map=why3:Graph,$(shell ocamlobjinfo debian/why3/usr/lib/ocaml/why3/commands/why3ide.cmxs | sed -n 's/Name: //p' | xargs echo | tr ' ' ,)
else
  WHY3IDE_NODEFINED_MAP :=
endif

override_dh_ocaml:
	dh_ocaml --nodefined-map=why3-coq:Why3,MenhirLib,Gzip,Zlib,Zip \
	  $(WHY3IDE_NODEFINED_MAP)
