=== debian/tests/control ===
Tests: why3+alt-ergo
Depends: why3, alt-ergo (>= 2.0.0)
Restrictions: skip-not-installable

Tests: why3+cvc4
Depends: why3, cvc4 (<< 1.9)
Restrictions: skip-not-installable

Tests: why3+spass
Depends:why3, spass
Restrictions: skip-not-installable

Tests: why3+z3
Depends:why3, z3 (<< 4.8.11)
Restrictions: skip-not-installable

Tests: why3+coq
Depends: why3, why3-coq, coq
Restrictions: skip-not-installable
