## why3 1.4.1

=== debian/changelog ===
why3 (1.4.1-2) unstable; urgency=medium

  * Fix compilation on bytecode architectures, on these architectures we
    have to look for exported units in why3ide.cma.

 -- Ralf Treinen <treinen@debian.org>  Sat, 19 Mar 2022 15:01:40 +0100

why3 (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * New patch ocamlgraph-cma to cope with the fact that ocamlgraph does no
    longer produce graph.cmo (closes: #1003801)
  * Drop building of the why3-coq package.
    
 -- Ralf Treinen <treinen@debian.org>  Sat, 19 Mar 2022 12:16:02 +0100
