=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
   libzip-ocaml-dev,
   libnum-ocaml-dev,
   libocamlgraph-ocaml-dev (>= 1.8.2),
-  coq (>= 8.7) [amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64  ppc64 ppc64el sparc s390x riscv64],
-  libcoq-ocaml-dev (>= 8.7) [amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64  ppc64 ppc64el sparc s390x riscv64],
   liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
   tex-common
 Build-Depends-Indep:
@@ -39,7 +37,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 (<< 1.9) | why3-coq [amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64  ppc64 ppc64el sparc s390x riscv64]| spass | z3 (<< 4.8.11) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.8.11) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
@@ -61,15 +59,6 @@
  emphasis is put on modularity and genericity, giving the end user a
  possibility to easily reuse Why3 formalizations or to add support for
  a new external prover if wanted.
-
-Package: why3-coq
-Architecture: amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64  ppc64 ppc64el sparc s390x riscv64
-Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
-Recommends: why3
-Description: Coq support for the why3 verification platform
- This package contains the compiled coq files that are necessary to
- use the coq proof assistant together with the why3 deductive
- verification platform.
 
 Package: libwhy3-ocaml-dev
 Architecture: any
