=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,8 @@
 
 BUILDDIR=debian/tmp
 
-HAVE_COQVARS ?= $(if $(wildcard /usr/share/coq/coqvars.mk),yes,no)
-
-ifeq ($(HAVE_COQVARS),yes)
-  include /usr/share/coq/coqvars.mk
-endif
-
 %:
 	dh $@ --with ocaml,tex
-
-# Should never be called automatically.
-.PHONY: debian/control
-debian/control:
-	sed -e 's/@OCamlNativeArchs@/$(OCAML_NATIVE_ARCHS)/g' debian/control.in > $@
 
 override_dh_auto_configure:
 	autoconf
@@ -42,9 +31,6 @@
 override_dh_install-arch: build-arch
 	$(MAKE) install install-lib DESTDIR=$(CURDIR)/$(BUILDDIR)
 	dh_install -a -XLICENSE
-ifeq ($(HAVE_COQVARS),yes)
-	echo 'F:CoqABI=$(COQ_ABI)' >> debian/why3-coq.substvars
-endif
 
 override_dh_install-indep:
 	# do nothing
@@ -62,11 +48,12 @@
 	dh_compress -Xmanual.pdf
 
 ifneq ($(wildcard debian/why3/usr/lib/ocaml/why3/commands/why3ide.cmxs),)
-  WHY3IDE_NODEFINED_MAP := --nodefined-map=why3:Graph,$(shell ocamlobjinfo debian/why3/usr/lib/ocaml/why3/commands/why3ide.cmxs | sed -n 's/Name: //p' | xargs echo | tr ' ' ,)
+  WHY3IDE_UNITS := $(shell ocamlobjinfo debian/why3/usr/lib/ocaml/why3/commands/why3ide.cmxs | sed -n 's/Name: //p' | xargs echo | tr ' ' ,)
 else
-  WHY3IDE_NODEFINED_MAP :=
+  WHY3IDE_UNITS := $(shell ocamlobjinfo debian/why3/usr/lib/ocaml/why3/commands/why3ide.cma | sed -n 's/Unit name: //p' | xargs echo | tr ' ' ,)
 endif
 
+WHY3HYPO_UNITS := $(shell ocamlobjinfo debian/why3/usr/lib/ocaml/why3/plugins/hypothesis_selection.cma | sed -n 's/Unit name: //p' | xargs echo | tr ' ' ,)
+
 override_dh_ocaml:
-	dh_ocaml --nodefined-map=why3-coq:Why3,MenhirLib,Gzip,Zlib,Zip \
-	  $(WHY3IDE_NODEFINED_MAP)
+	dh_ocaml --nodefined-map=why3:$(WHY3IDE_UNITS),$(WHY3HYPO_UNITS)
