=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,3 @@
 Tests: why3+z3
 Depends:why3, z3 (<< 4.8.11)
 Restrictions: skip-not-installable
-
-Tests: why3+coq
-Depends: why3, why3-coq, coq
-Restrictions: skip-not-installable
