## why3 1.5.0

=== debian/changelog ===
why3 (1.5.0-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 May 2022 07:24:40 +0200

why3 (1.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patch hardening-flags.
  * Drop patch ocamlgraph-cma, issue has been fixed upstream.
  * debian/rules: configure with option --disable-coq-libs, so that
    we are sure that coq stuff is not build.
  * Bump dependency on z3 to (<< 4.8.16).
  * Simplify test why3+z3: drop preliminary testing of z3.

 -- Ralf Treinen <treinen@debian.org>  Tue, 03 May 2022 08:00:48 +0200
