=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.8.11) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.8.16) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
