=== debian/tests/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 Restrictions: skip-not-installable
 
 Tests: why3+z3
-Depends:why3, z3 (<< 4.8.11)
+Depends:why3, z3 (<< 4.8.16)
 Restrictions: skip-not-installable
