=== debian/changelog ===
why3 (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Supports z3 until 4.11.0 
  * Standards-Version 4.6.1 (no change)
  * Add lintian override for test file with national character encoding

 -- Ralf Treinen <treinen@debian.org>  Wed, 19 Oct 2022 03:37:35 +0200
