=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
   texlive-bibtex-extra,
   tex-gyre,
   graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
@@ -37,7 +37,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.8.16) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.11.1) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
