=== debian/changelog ===
why3 (1.6.0-1build7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:35 +1100

why3 (1.6.0-1build6) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:53:10 +0000

why3 (1.6.0-1build5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:59:18 +0000

why3 (1.6.0-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 08:36:24 +0100

why3 (1.6.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:57:17 +0100

why3 (1.6.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:24:00 +0100

why3 (1.6.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:12:50 +0100

why3 (1.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standard-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 07:09:51 +0200
