=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: why3
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
   debhelper-compat (= 13), dh-ocaml,
   autoconf,
-  ocaml-nox (>= 4.05.5),
+  ocaml,
   ocaml-findlib,
   menhir (>= 20200123),
   libmenhir-ocaml-dev (>= 20200123),
@@ -25,7 +26,7 @@
   texlive-bibtex-extra,
   tex-gyre,
   graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
