=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	autoconf
 	dh_auto_configure -- \
 		--disable-emacs-compilation \
+		--disable-coq-libs \
 		--libdir=/usr/lib/ocaml
 
 override_dh_auto_build-arch:
