=== debian/watch ===
version=4
https://why3.gitlabpages.inria.fr/releases/ .*/why3-(.*)\.tar\.gz
