=== debian/changelog ===
why3 (1.7.2-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:05:35 +0100

why3 (1.7.2-2build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 17:04:30 +0200

why3 (1.7.2-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml
  * Depend on ocaml-native-compilers in tests for now

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Aug 2024 01:43:15 +0200

why3 (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: add doc/.doctrees (closes: #1046969), remove cruft
  * debian/watch: use release tags of INRIA's gitlab
  * debian/rules: update url of external mathjax resources, which are
    replaced by locally installed mathjax.
  * The alt-ergo package is no longer in debian: drop it from Recommends,
    and drop the corresponding as-installed test.
  * Standards-Version 4.7.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 12 Aug 2024 11:54:59 +0200
