=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: why3
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
   debhelper-compat (= 13), dh-ocaml,
@@ -26,7 +25,7 @@
   texlive-bibtex-extra,
   tex-gyre,
   graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
@@ -38,7 +37,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.11.1) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.11.1)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
