=== debian/tests/control ===
Tests: why3+cvc4
Depends: why3, cvc4 (<< 1.9), ocaml-native-compilers
Restrictions: skip-not-installable

Tests: why3+spass
Depends:why3, spass, ocaml-native-compilers
Restrictions: skip-not-installable

Tests: why3+z3
Depends:why3, z3 (<< 4.11.1), ocaml-native-compilers
Restrictions: skip-not-installable
