=== debian/changelog ===
why3 (1.8.0-2) unstable; urgency=medium

  * Team upload
  * Add Breaks+Replaces to avoid file conflict (Closes: #1093827)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Feb 2025 07:37:18 +0100

why3 (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Stop building the documentation packages:
    - debian/control: disable why3-doc-* packages
    - debian/rules: disable override_dh_auto_build-arch
    - debian-rules: disable Build-Depends-Indep
  * Create a symlink from /usr/lib/ocaml/why3 to the why3 library in order
    to work around a bug in why3, which does not properly take into account
    the --libdir option to ./configure.
  * Dependency and Test-Dependency on provers:
    - bump z3 to version << 4.14
    - add cvc5 << 1.3
  * Add an as-installed test with cvc5

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Jan 2025 21:27:21 +0100
