=== debian/control ===
--- 
+++ 
@@ -17,14 +17,14 @@
   libocamlgraph-ocaml-dev (>= 1.8.2),
   liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
   tex-common
-Build-Depends-Indep:
-  python3-sphinx, python3-sphinxcontrib.bibtex,
-  texlive-plain-generic,
-  texlive-latex-recommended, texlive-latex-extra,
-  texlive-fonts-recommended,
-  texlive-bibtex-extra,
-  tex-gyre,
-  graphviz
+# Build-Depends-Indep:
+#   python3-sphinx, python3-sphinxcontrib.bibtex,
+#   texlive-plain-generic,
+#   texlive-latex-recommended, texlive-latex-extra,
+#   texlive-fonts-recommended,
+#   texlive-bibtex-extra,
+#   tex-gyre,
+#   graphviz
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://why3.lri.fr/
@@ -37,8 +37,10 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 (<< 1.9) | spass | z3 (<< 4.11.1)
+Recommends: cvc4 (<< 1.9) | cvc5 (<< 1.3) | spass | z3 (<< 4.14)
 Suggests: why3-examples
+Breaks: libwhy3-ocaml-dev (<< 1.8), why3-coq (<< 1.8)
+Replaces: libwhy3-ocaml-dev (<< 1.8), why3-coq (<< 1.8)
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
  rich language for specification and programming, called WhyML, and
@@ -79,22 +81,22 @@
  and pure logical verification tasks, for the why3 software verification
  platform.
 
-Package: why3-doc-html
-Architecture: all
-Depends: ${misc:Depends},
-  libjs-jquery,
-  libjs-underscore,
-  libjs-mathjax,
-  libjs-sphinxdoc
-Suggests: why3
-Description: HTML Documentation of the why3 verification platform
- This package contains the tutorial and reference manual of the
- why3 verification platform in HTML format.
+# Package: why3-doc-html
+# Architecture: all
+# Depends: ${misc:Depends},
+#   libjs-jquery,
+#   libjs-underscore,
+#   libjs-mathjax,
+#   libjs-sphinxdoc
+# Suggests: why3
+# Description: HTML Documentation of the why3 verification platform
+#  This package contains the tutorial and reference manual of the
+#  why3 verification platform in HTML format.
 
-Package: why3-doc-pdf
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: why3
-Description: PDF Documentation of the why3 verification platform
- This package contains the tutorial and reference manual of the
- why3 verification platform in PDF format.
+# Package: why3-doc-pdf
+# Architecture: all
+# Depends: ${misc:Depends}
+# Suggests: why3
+# Description: PDF Documentation of the why3 verification platform
+#  This package contains the tutorial and reference manual of the
+#  why3 verification platform in PDF format.
