## why3 1.8.1

=== examples/gcd/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(WHY3) session html .
 
 $(MAIN).opt: $(CMX)  $(MAIN).cmx
-	$(OCAMLOPT) $(INCLUDE) $(BIGINTLIB).cmxa -o $@ $^
+	$(OCAMLOPT) $(INCLUDE) zarith.cmxa -o $@ $^
 
 $(MAIN).cmx: $(CMX)
