=== debian/changelog ===
why3 (1.8.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1098092)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Sep 2025 14:59:57 +0200

why3 (1.8.0-3) experimental; urgency=medium

  * Update home page.
  * Build again the documentation packages.
  * Standards-Version 4.7.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 20 Apr 2025 14:13:02 +0200
