=== debian/rules ===
--- 
+++ 
@@ -19,15 +19,19 @@
 override_dh_auto_build-arch:
 	$(MAKE) all byte
 
-# MATHJAXBAD="https://cdn\.jsdelivr\.net/npm/mathjax.*\.js"
-# MATHJAXLOCAL="/usr/share/javascript/mathjax/MathJax.js"
-# override_dh_auto_build-indep:
-# 	$(MAKE) doc
-# 	cd doc/html; \
-# 	for f in *.html; do \
-# 	  sed -e "s|$(MATHJAXBAD)|$(MATHJAXLOCAL)|" $$f > $$f.out; \
-# 	  mv $$f.out $$f; \
-# 	done
+MATHJAXBAD="https://cdn\.jsdelivr\.net/npm/mathjax.*\.js"
+MATHJAXLOCAL="/usr/share/javascript/mathjax/MathJax.js"
+override_dh_auto_build-indep:
+	# we need a "local" installation since building the documentation
+	# requires running why3.
+	./configure --enable-local
+	$(MAKE)
+	$(MAKE) doc
+	cd doc/html; \
+	for f in *.html; do \
+	  sed -e "s|$(MATHJAXBAD)|$(MATHJAXLOCAL)|" $$f > $$f.out; \
+	  mv $$f.out $$f; \
+	done
 
 override_dh_auto_install:
 	# do nothing
